#pragma once


class CMailConfigurationDlg : public CDialog
{
public:
//Constructors / Destructors
  CMailConfigurationDlg(_In_opt_ CWnd* pParent = nullptr);
  CMailConfigurationDlg(const CMailConfigurationDlg&) = delete;
  CMailConfigurationDlg(CMailConfigurationDlg&&) = delete;
  ~CMailConfigurationDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CMailConfigurationDlg& operator=(const CMailConfigurationDlg&) = delete;
  CMailConfigurationDlg& operator=(CMailConfigurationDlg&&) = delete;

//Member variables
  enum { IDD = IDD_CONFIGURATION };
  CString m_sPassword;
  CString m_sProfile;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;

  DECLARE_MESSAGE_MAP()
};
